devel/p5-Class-Autouse - The NetBSD Packages Collection

Run-time class loading on first method call

Class::Autouse allows you to specify a class that will only load
when a method of that class is called.  For large classes that
might not be used during the running of a program, such as Date::Manip,
this can save you large amounts of memory, and decrease the script
load time.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-ExtUtils-AutoInstall lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
aarch64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
aarch64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
alpha:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
alpha:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
alpha:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earm:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earm:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
earm:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earmv6hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earmv6hf:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
earmv6hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earmv6hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earmv7hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
earmv7hf:p5-Class-Autouse-2.01nb8.tgz(NetBSD 8.0)
earmv7hf:p5-Class-Autouse-2.01nb8.tgz(NetBSD 8.0)
earmv7hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
earmv7hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earmv7hf:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
earmv7hf:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
earmv7hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
earmv7hf:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
i386:p5-Class-Autouse-2.01nb8.tgz(NetBSD 8.0)
i386:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
i386:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
i386:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
i386:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
i386:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
m68k:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
m68k:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
mips64eb:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
mips64eb:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
mipsel:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
powerpc:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
powerpc:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
powerpc:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
powerpc:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
sh3el:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
sh3el:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
sparc64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
sparc64:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
sparc64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
sparc:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
sparc:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
sparc:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
vax:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
x86_64:p5-Class-Autouse-2.01nb8.tgz(NetBSD 8.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 8.0)
x86_64:p5-Class-Autouse-2.01nb8.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)
x86_64:p5-Class-Autouse-2.01nb9.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]